Bug 198511 - Exim unable to send mail to localhost or localhost.localdomain
Exim unable to send mail to localhost or localhost.localdomain
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 11:33 EDT by John Horne
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.63-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-03 22:54:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Horne 2006-07-11 11:33:10 EDT
Description of problem:
Exim gives error when sending mail to '@localhost' or '@localhost.localdomain'
addresses.

Version-Release number of selected component (if applicable):
exim-4.62-2.fc5

How reproducible:
Always

Steps to Reproduce:
1. Run 'exim -bt root@localhost' or 'exim -bt root@localhost.localdomain'
2.
3.
  
Actual results:
Error produced:

  exim -bt root@localhost
  root@localhost is undeliverable:
    Unrouteable address


Expected results:
Exim should deliver the mail to the local host.

Additional info:

Sendmail produces correct result and delivers mail to the local host. As such
both exim and sendmail should perhaps do the same (similar) thing?

Some software seems to use the '@localhost' address - e.g. Apache in
/etc/httpd/conf/httpd.conf (httpd-2.2.2-1.0). The admin address is given as
'ServerAdmin root@localhost'. This will obviously fail if used. Also
/etc/warnquota.conf (quota-3.13-1.2.1), which contains 'CC_TO = "root@localhost"'.

Possible solution:
The default exim.conf file contains:

  domainlist local_domains = @

This could be changed to:

  domainlist local_domains = @ : localhost : localhost.localdomain

Testing then gives:

  exim -bt root@localhost
  root@localhost
    router = localuser, transport = local_delivery



John.

Note You need to log in before you can comment on or make changes to this bug.